%define oname bin_prot

Name:           ocaml-%{oname}
Epoch:          1
Version:        0.13.0
Release:        %mkrel 4
Summary:        Binary protocol generator
Group:          Development/OCaml
License:        ASL 2.0
URL:            https://github.com/janestreet/%{oname}
Source0:        https://github.com/janestreet/%{oname}/archive/v%{version}.tar.gz
Obsoletes:      ocaml-bin-prot < 113.24.00

BuildRequires:  ocaml-dune
BuildRequires:  ocaml-compiler
BuildRequires:  ocaml-findlib
BuildRequires:  opam

BuildRequires:  ocaml-base >= 0.11
BuildRequires:  ocaml-ppx_compare >= 1:0.11
BuildRequires:  ocaml-ppx_custom_printf >= 1:0.11
BuildRequires:  ocaml-ppx_fields_conv >= 1:0.11
BuildRequires:  ocaml-ppx_sexp_conv >= 1:0.11
BuildRequires:  ocaml-ppx_variants_conv >= 1:0.11
BuildRequires:  ocaml-migrate-parsetree >= 1.0
BuildRequires:  ocaml-result-devel

Requires:       ocaml-fieldslib

%description
Binary protocol generator.

%package        devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       %{name} = %{epoch}:%{version}-%{release}
Obsoletes:      ocaml-bin-prot-devel < 113.24.00
Provides:       ocaml-bin-prot-devel = %{version}

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%setup -q -n %{oname}-%{version}

%build
dune build --verbose -p %{oname} %_smp_mflags

%install
opam-installer --prefix=%{buildroot}%{_prefix} --libdir=%{buildroot}%{_libdir}/ocaml %{oname}.install
rm -rf %buildroot/usr/doc

# Makes *.cmxs executable such that they will be stripped.
find %{buildroot} -name '*.cmxs' -exec chmod 0755 {} \;

%check
dune runtest

%files
%doc LICENSE.md CHANGES.md
%dir %{_libdir}/ocaml/%{oname}
%{_libdir}/ocaml/%{oname}/META
%{_libdir}/ocaml/%{oname}/*dune*
%{_libdir}/ocaml/%{oname}/*.cmi
%{_libdir}/ocaml/%{oname}/*.cma
%{_libdir}/ocaml/%{oname}/*.a
%{_libdir}/ocaml/%{oname}/*.cmxa
%{_libdir}/ocaml/%{oname}/*.cmxs
%{_libdir}/ocaml/stublibs/dllbin_prot_stubs.so
%{_libdir}/ocaml/%{oname}/runtime.js
%dir %{_libdir}/ocaml/%{oname}/*/
%{_libdir}/ocaml/%{oname}/*/*.cmi
%{_libdir}/ocaml/%{oname}/*/*.cma
%{_libdir}/ocaml/%{oname}/*/*.a
%{_libdir}/ocaml/%{oname}/*/*.cmxa
%{_libdir}/ocaml/%{oname}/*/*.cmxs

%files devel
%{_libdir}/ocaml/%{oname}/opam
%{_libdir}/ocaml/%{oname}/*.cmt
%{_libdir}/ocaml/%{oname}/*.cmti
%{_libdir}/ocaml/%{oname}/*.cmx
%{_libdir}/ocaml/%{oname}/*.ml*
%{_libdir}/ocaml/%{oname}/*/*.cmt
%{_libdir}/ocaml/%{oname}/*/*.cmti
%{_libdir}/ocaml/%{oname}/*/*.cmx
%{_libdir}/ocaml/%{oname}/*/*.ml*


%changelog
* Sun Jan 10 2021 pterjan <pterjan> 1:0.13.0-4.mga8
+ Revision: 1670821
- Rebuild to generate ocamlx provides

* Fri Feb 28 2020 umeabot <umeabot> 1:0.13.0-3.mga8
+ Revision: 1551930
- Rebuild for ocaml 4.10.0 final

* Thu Feb 20 2020 umeabot <umeabot> 1:0.13.0-2.mga8
+ Revision: 1545108
- Mageia 8 Mass Rebuild

* Mon Jan 27 2020 tv <tv> 1:0.13.0-1.mga8
+ Revision: 1483911
- new release + rebuild for ocaml-4.10

* Tue Oct 23 2018 pterjan <pterjan> 1:0.11.0-1.mga7
+ Revision: 1324487
- Update to 0.11.0

* Sat Sep 29 2018 umeabot <umeabot> 1:0.10.0-9.mga7
+ Revision: 1310945
- Mageia 7 Mass Rebuild
- Mageia 7 Mass Rebuild

* Fri Sep 28 2018 umeabot <umeabot> 1:0.10.0-7.mga7
+ Revision: 1310504
- Mageia 7 Mass Rebuild

* Fri Jul 06 2018 daviddavid <daviddavid> 1:0.10.0-6.mga7
+ Revision: 1242237
- rebuild for ocaml-sexplib

* Fri Jul 06 2018 daviddavid <daviddavid> 1:0.10.0-5.mga7
+ Revision: 1242064
- rebuild against current ocaml stack
- enable debug package as it should

* Mon Feb 05 2018 daviddavid <daviddavid> 1:0.10.0-4.mga7
+ Revision: 1199038
- fix shared stubs libraries ocaml path

* Mon Jan 15 2018 pterjan <pterjan> 1:0.10.0-3.mga7
+ Revision: 1193303
- Fix dependency

* Sun Jan 14 2018 pterjan <pterjan> 1:0.10.0-2.mga7
+ Revision: 1193293
- Add missing explicit dependency

* Sun Jan 14 2018 pterjan <pterjan> 1:0.10.0-1.mga7
+ Revision: 1193214
- Update to v0.10.0
+ tv <tv>
- rebuild for new ocaml

* Thu Feb 25 2016 pterjan <pterjan> 113.24.00-2.mga6
+ Revision: 978932
- Obsolete ocaml-bin-prot
- Obsolete ocaml-bin-prot

* Tue Feb 23 2016 pterjan <pterjan> 113.24.00-1.mga6
+ Revision: 976204
- imported package ocaml-bin_prot

